# norootforbuild

Name:		xvidenc
Version:	8.4.2
Release:	1.pm.4.1

License:	GPL
Group:		Productivity/Multimedia/Video/Editors and Convertors
Summary:	A shell script for MEncoder
URL:		http://xvidenc.sourceforge.net/

Source0:	http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch

Requires:	MPlayer


%description
Xvidenc is an advanced and powerful interactive menu-driven shell script written for the Linux
operating system which can help you to encode a DVD or a regular video file to the MPEG-4 SP/ASP
video format using the MEncoder encoder from the MPlayer project and the Xvid library. It supports
all options of the Xvid 1.1.x library and a wide range of audio codecs. Further, it supports
muxing the final encode from AVI to Matroska, from AVI to OGM and from AVI to the MP4 container.


%prep
%setup -q -n %{name}-%{version}


%build


%install
# binary
%__install -D -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

# man
gzip -9 man/%{name}.1
%__install -D -m 644 man/%{name}.1.gz %{buildroot}/%{_mandir}/man1/%{name}.1.gz

# docs
%__mkdir -p %{buildroot}/%{_docdir}/%{name}
%__install -m 644 doc/* %{buildroot}/%{_docdir}/%{name}/
%__mkdir -p %{buildroot}/%{_docdir}/matrices/Jawor1CD/
%__mkdir -p %{buildroot}/%{_docdir}/matrices/Jawor2CD/
%__install -m 644 matrices/Jawor1CD/* %{buildroot}/%{_docdir}/matrices/Jawor1CD/
%__install -m 644 matrices/Jawor2CD/* %{buildroot}/%{_docdir}/matrices/Jawor1CD/


%clean
rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_docdir}/matrices
%{_docdir}/matrices/*
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*
%{_mandir}/man1/%{name}.1.gz


%changelog
* Tue Mar 29 2011 neutrino8@gmail.com
  * Added support for setting the crop rounding value
* Tue Mar  8 2011 detlef@links2linux.de
- new upstream version <8.4.1>
  * Fixed a bug in directory batch mode were wrong conditional was used to check
    for the DEFOUTPUT variable
  * Display which file is currently being processed in batch mode
  * Check only for files while in batch mode
  * Fixed the video_deblock_func() function. Wrong vars used
* Sat Feb 12 2011 detlef@links2linux.de
- new upstream version <8.4.0>
  * Use -demuxer lavf when trying to get the video length for bitrate calculation
    for a target file size. Should be more reliable on M2TS/TS files
  * Added support for the delogo filter and bumped config file version to 16
  * Updated copyright dates
* Sat Nov 27 2010 detlef@links2linux.de
- new upstream version <8.3.9>
  * Remove double $HOME variable in the -scan option
* Sat Oct 30 2010 detlef@links2linux.de
- new upstream version <8.3.8>
  * Added support for setting subtitle codepage during hardcoding of external subs
  * Added support for the audio equalizer filter. This updates the config file version
    to 15
  * Removed 'time' requirement
* Wed Sep 22 2010 detlef@links2linux.de
- new upstream version <8.3.7>
  * Workaround mencoder stupidity. With recent versions of mencoder that have subs
    enabled by default (who came up with that great idea?), in case the user selects
    to dump a sub for importing into mkv/mp4, during multipass encoding the first sub
    will always get hardcoded due to missing -nosub option in the 2nd pass code.
    This is only valid for multipass encodes so people using one pass modes (-1p or -fq)
    are safe.
  * Small update to the -scan option. Just check if input file is there, regardless if
    user provides the full path or not
* Mon Aug  9 2010 detlef@links2linux.de
- new upstream version <8.3.6>
  * Add -nosub to prevent auto-loading of subs
* Sun May 16 2010 detlef@links2linux.de
- new upstream version <8.3.5>
  * Small bugfix in the get_devices_func() function; script exits when user
    hits enter to accept default device
  * Updated the man page
* Fri May  7 2010 detlef@links2linux.de
- new upstream version <8.3.4>
  * Reworked a bit the audio channels decode/output function. This function also got
    renamed from audio_channels_func() to audio_channels_decode_func()
  * Added support for the audio channels filter which can be used to add/remove/route channels
    This updates the config file to version 14 and adds variable ALLOW_AUD_CHANNELS
  * Some various small improvements
* Sat Mar 13 2010 detlef@links2linux.de
- new upstream version <8.3.3>
  * Small bugfix: the $interlacing variable wasn't passed on to mencoder
  * Space escaped some previously missed variables
* Sun Feb 28 2010 detlef@links2linux.de
- new upstream version <8.3.2>
  * Small bugfix: wrong variable used when exporting from the send_email_func() function
    to the batchfile
  * Added new variable DEFOUTPUT to the config where user can set a default output directory.
    This updates the config version to 13
  * Updated the set_output_filename_func() function to support the above change
  * Use one variable in the presets (xvidparams) for all MEncoder Xvid encoding options.
    Reduces some code and simplifies things a bit
  * Updated the preset.cfg file to support the "one variable for all Xvid encoder opts"
    Note: those using custom preset files for encoding should read the preset.cfg file
    in the doc dir and adapt their existing preset files to be compatible with the
    changes. Previous older custom presets written by users will not work with this and
    future versions of xvidenc!
* Wed Jan 27 2010 detlef@links2linux.de
- new upstream version <8.3.0>
  * Renamed the rmconf() function to rmtemp().
  * Moved creation of temp dir, the interrupt_func() and rmtemp() functions at the beginning
    of the script
  * Fixed a bug in the DVD part of the -scan option where lsdvd doesn't get a valid device
    passed. Bug was introduced due to changes in the new get_devices_func() function
  * Removed some duplication in the mencoder_opts() function
  * Various small code improvements
  * Updated the README.xvidenc file
* Mon Dec 28 2009 detlef@links2linux.de
- new upstream version <8.2.8>
  * Changed all video ALLOW_* variables in the config file to ALLOW_VID_*
  * When using dd to dump a DVD to an ISO, use options noerror,sync and a bs size of 2048
  * Added support for sending mails. This requires the 'mailx' program and a valid .mailrc
    file in the home directory. Mail notification can be enabled in the config file of
    xvidenc which also offers an example of a gmail setting for .mailrc
  * Added support for loading custom preset files. Have a look at the preset.cfg file in
    the doc directory on how to write such files
  * Added support for setting a custom temp dir in the config file
  * Small update to the mkvtags_func() function
  * Bumped config file version to 11
  * Updated copyright dates
  * Updated the man page
* Sat Nov 21 2009 detlef@links2linux.de
- new upstream version <8.2.7>
  * Implemented a simple telecine detector for NTSC DVDs. Currently it's a dumb solution
    which can't distinguish between hard telecine and interlacing but it's enough to
    detect soft telecine and mixed progressive/telecine content which is more common
  * Simplified the FPS detection code
  * Sed a comma at the end of resolution detection in case we're dealing with TS files. The
    default TS demuxer in MPlayer has a comma at the end of the resolution info which results
    in errorneous behavior in the bc calculation
  * Simplified the resolution detection code
  * Small general code improvements and cosmetics
* Tue Oct 27 2009 detlef@links2linux.de
- new upstream version <8.2.6>
  * Added new function video_subtitles_align_func() for subtitle alignment control
  * Simplified a bit the audio exporting code for the first track
  * Force stereo audio for Nero HE-AACv2 as it doesn't support anything else, thus
    it results in failure if user tries to encode with more than two channels. This
    updates the audio_channels_func() function and also adds a small new independent
    one called neroaac_hev2_func() which only sets the channels to two if the channels
    array variables are empty, as is the case when the user did not set the channels
  * Small improvements to the ABR/VBR default audio bitrates for the neroAacEnc encoder.
    Base the default bitrates on the chosen AAC profile, i.e. if user chooses HE-AACv1,
    default bitrate will be 55 kbps or in case of quality-based VBR encoding a value of
    0.22. For LC-AAC and HE-AACv2, default bitrates and quality values will be 96 kbps
    or 0.35 and 25 kbps or 0.11, respectively. Note that this assumes the input audio is
    stereo so if it's anything else than that, it's up to the user to decide on bitrates
    or quality values
  * Set default to a capital letter in questions where one needs to answer with y or n
* Sat Oct  3 2009 detlef@links2linux.de
- new upstream version <8.2.5>
  * Insert the ilpack filter before the scaler to correctly align chroma when
    preserving interlacing
  * Added AUDIO_CODEC_TRACK[1|2|3], AUDIO_LANGUAGE_TRACK[1|2|3], MKVMERGE_VERSION
    and XVIDENC_PARAMETERS entries to the mkvtags_func() function
  * Improved checking the availability of block devices
  * Add detection of VFR content (1000 fps as reported by MPlayer)
* Tue Sep 22 2009 detlef@links2linux.de
- new upstream version <8.2.4>
  * Added VIDEO_FILTERS, AUDIO_FILTERS_TRACK[1|2|3], ENCODER and XVID_PARAMETERS
    entries to the mkvtags_func() function
  * MP3 (MPEG1 Layer 3) only supports sample frequencies of 32, 44.1 and 48 kHz
    so restrict to those only in the audio_resample_func() function
  * Set default for the pp7 deblocker to 3
  * Fixed example typo in the DVD chapters code
* Wed Sep 16 2009 detlef@links2linux.de
- new upstream version <8.2.3>
  * Small improvement to how the MKV XML tagging file gets exported. Also improved
    the XML formatting and added COMMENT string with text "Tagged by xvidenc $version"
    and added SOURCE entry
  * Added comment tag for MP4 and OGM with the same text as above
  * Small update to the video_deinterlace_func() function's menu
  * Add comment header with dates to batch files
  * Use only lowercase words in all case statements that deal with the input source
  * Placed the -passlogfile option inside the PASSLOG variable
  * Added support for 2-pass Nero AAC audio encoding. Note that 2-pass is only
    supported by ABR/CBR encoding and ensures that the output quality is constant
    (like VBR) while also ensuring that a specified output bitrate is achieved
    (like CBR)
  * Small bugfix: the counter in set_output_filename_func() didn't increase itself
  * Replaced variable $source with $type and $vtype with $source
* Wed Sep  9 2009 detlef@links2linux.de
- new upstream version <8.2.2>
  * Added support for the noise video filter. This change updates the config file to
    version 10. Also, encoding priority now defaults to a nice value of 10 in the
    config file
  * Moved out the code which checks and backups/renames a file if it has the same
    name as the output provided by the user to a separate function called
    backup_file_func() and also improved it so that if there's already an existing
    backup file, the new one will increase its count number by one thus there's no
    more overwriting being done anymore. The same thing applies to existing chapter
    files and DVD subs
  * Small improvements to how chapters information is added to the output file name
  * Improved detection of DVD audio language codes. We now specifically grep for the
    language word and then print the 2nd positional which gives us the language code.
    It works more reliably if the DVD does not report its language code for the audio track(s)
    so if this is the case, we fall back to undefined language. The previous code fails in
    such cases due to the printing of the 8th positional which will print the "aid:" part when
    there's no language code after the "language:" word, resulting in MKV/MP4 muxing failures.
  * Turn soft-clipping on in the volume audio filter
  * Simplified the audio_channels_func() function a bit
  * Moved the MP4 code that deals with DVD subs/cover files/metadata info/chapters and external
    subs before its audio code
  * Fixed chapters import for the OGM container. Missing '@' before the chapters input file
    results in the file not being imported
  * Added support for audio language metadata info for the OGM container
  * Added support for Year and Genre metadata tagging for the MKV/MP4/OGM containers.
    For MKV, the genre and year is set globally using an automatically generated XML
    file. MP4 uses the iTunes tagging and OGM the comment space
  * Updated the man page
* Thu Aug  6 2009 detlef@links2linux.de
- new upstream version <8.2.0>
* Sat Jul 18 2009 detlef@links2linux.de
- new upstream version <8.1.8>
  * Added detection for E-AC3 audio for stream copy and updated the MKV muxing code to support it
  * Added new option -spr which calculates the Storage and Pixel Aspect Ratios (SAR/PAR) for various
    resolutions
  * Display the amount of chapters each DVD title has when scanning for titles
  * Display total pixels, SAR and PAR when scanning a file/vcd with the -scan option
  * Added --no-chapters mkvmerge option for audio files encoded by neroAacEnc so that chapters
    won't be copied over to the MKVs from these files
  * Small update to the install script
  * Updated the man page. Fix some small cosmetic issues, patch by Alessio Treglia
* Thu Jan 22 2009 detlef@links2linux.de
- new upstream version <8.0.3>
  * Add title/movie name to MKV and OGM as meta-info. The title is taken from the
    output name provided by the user. For directory encodings, this will be skipped
  * Add audio codec and audio language meta-info to MKV when encoding DVDs and copying
    the audio track(s)
  * Added support for the expand video filter
  * Slightly improved info when the script is called without any parameters
  * Implemented denoising presets for the 'tn' temporal denoiser
  * Merge the mp3, aac, ac3 exporting code with the ffac3 and ffdts one since it's the same
    for the second audio track
  * Small improvement/fix: when encoding two audio tracks to HE-AAC audio and muxing
    them into MKV, mkvmerge uses for both tracks the same track ID (1) while xvidenc
    assumes that the second track uses track ID 2 which is wrong so the option
  - -aac-is-sbr 2:1 is incorrect here and should actually be --aac-is-sbr 1:1 for
    the second audio track
* Wed Jan 14 2009 detlef@links2linux.de
- new upstream version <8.0.2>
  * Use 'source' instead of '.' for importing files into the script. Makes it easier
    for me to read when my eyes are tired
  * Improvements to the audio_resample_func() function. Automatically detect
    the audio sample rate of the content and display it. Also, moved the resample
    filters into a function called audio_resample_filters_func(). The reason for this
    is to be able to compare the detected audio sample rate with the selected one. If
    the user selects a sample rate which equals the detected one, resampling will be
    skipped as there is no point in running a resampler if the detected and selected
    sample rates are equal - mencoder always picks up the sample rate of the content.
  * For directory encodings, offer an option to automatically delete the AVI file after
    remuxing to the other containers. This can considerably reduce disk space usage,
    especially when encoding a directory with a lot of files in it.
  * Replaced all 'tail -1' commands with 'tail -n 1' since 'tail -1' is made obsolete as
    stated by the info page of tail
  * Calculate and display the amount of frames when scanning a video file. Also display
    seconds in addition to minutes for the runtime
  * Replaced MB and GB with MiB and GiB
* Fri Dec 12 2008 detlef@links2linux.de
- new upstream version <8.0.1>
  * Removed signal SIGTSTP from the trap list. The user can now suspend the encoding
    process with CTRL+Z and continue later on by typing fg in the terminal
  * Added support for the software equalizer video filter (eq2)
  * Don't exit if the user did not add the .avi extension for the output file. Instead
    automatically add the extension to it
  * Small loop modifications in the video_subtitles_func() function
  * Set default AAC profile when using neroAacEnc to LC instead of HE
  * Added support for VCD/SVCD encodings
  * Small loop modifications to the get_dvd_devices_func() function
  * Small modifications to the install script
  * Updated the man page
* Sat Dec  6 2008 detlef@links2linux.de
- new upstream version <8.0.0>
  * Improved dealing with LPCM audio on DVDs. If the user has selected to encode
    a second audio track and that track uses LPCM as audio, the encoding will fail
    since -oac copy will not be able to copy LPCM in AVI. For this reason, xvidenc
    will check to see if the second audio track is LPCM audio and will use -oac pcm
    instead of -oac copy
  * DVD channels settings can be now independently controlled for each audio track
  * Added support for AC3 in MP4. This requires latest gpac version 0.4.5 compiled
    with liba52 support!
* Wed Dec  3 2008 detlef@links2linux.de
- new upstream version <7.9.9>
  * Remove support for MP2 and WMA audio
  * Use MEncoder to dump the video when remuxing to MP4 as MP4Box can crap
    out in certain cases. I'm tired of fixing MP4Box' problems :/ but the
    alternative (mp4creator) is a piece of crap too and is no longer maintained
    It doesn't support VobSub subtitles either, nor chapter files AFAIK
  * Added support for providing a custom factor value when using the video bitrate
    calculation formulas
  * Added initial support for a second audio track for DVD encodings. Below is a
    list of what currently works and what doesn't:
  * PCM audio is not supported yet. It's not a priority for me
  * If you're looking for second audio track in AVI, don't waste your time.
    I will never support it. Use the MKV/MP4/OGM containers
  * Audio filters are supported for both tracks
  * Audio codecs and audio filters apply to both tracks. One can't
    use, for example, Vorbis audio for first and AAC audio for second
    track. One also can't set audio bitrate independently for each track
  * Audio stream copy is supported by the MKV/OGM containers. For the
    MKV container one can copy AC3 + AC3 or AC3 + DTS audio. For OGM
    only AC3 + AC3 is supported since it knows nothing about DTS audio.
    If DTS audio is selected, it will be ignored
  * I use (very?) dirty tricks to maintain (perfect?) A/V sync when one uses
    frame altering video filters, like bobbing, interlacing, ivtc/telecine,
    FPS conversion
  * Updated the video bitrate calculation code to support a second audio track
  * Updated the MKV/MP4/OGM containers code to support a second audio track
  * Better explanation about what the -r option does/is used for
  * Implemented audio_exit_func() function. This function kicks in effect if the
    audio encoding with an external audio encoder didn't succeed. If this is the
    case, the function will be called with the appropriate parameters and will force
    an exit to prevent container conversion. This is because if the audio encoding
    fails for some reason, container conversion will automatically fail too since
    the muxing programs will complain about the missing audio file and will exit,
    thus there is no point in continuing and displaying conversion failing messages
  * Reduced the amount of options displayed when one calls the script without any
    parameters. From now on it will just display:
    Usage: xvidenc <options>
    Use 'xvidenc -help' for more information
  * Some old comments cleanups
  * Updated the man page
* Sun Nov 30 2008 detlef@links2linux.de
- new upstream version <7.9.8>
  * Lots of empty variables and code cleanups
  * Replaced the --help option with -help for consistency with the other options
  * Added support for importing up to three subtitles (VobSub or SRT) into
    the MKV/MP4 containers when encoding a video file or a directory with
    files. Also hardcoding a subtitle is now possible for directory encodings
  * Reduced a lot of code duplication in the batch exporting code by using
    only one variable to carry the output file
  * Optimized the MKV/MP4/OGM muxing code for directory encodings
  * Simplified the MKV/MP4 subtitles importing code. The new code is a bit
    ugly, but is much smaller and works quite well. It's basically a small loop
    which tests the subtitle variables for not being empty, and if so, it appends
    the values to the MKVSUBS/MP4SUBS variables
  * Small bugfix: IVTC/Telecine was still asked if user has selected to do
    FPS conversion using frame duplication (25 -> 50 fps, 50 -> 100 fps).
    This is due to wrong variable being tested: $fpsfilter instead of $frc
  * When encoding to neroAAC/AAC+/Vorbis audio and muxing to MKV, take the
    video directry from the AVI file instead of dumping it to disk. That
    way we can skip the dumping process and don't have to pass the FPS value
    of the raw video to mkvmerge since it takes it directly from the AVI. This
    also makes the code a bit more simple. When also muxing to MP4, MP4Box always
    dumps the video so we're safe here
  * Added support for detecting the audio codec of the video file/DVD when
    using audio stream copy. Based on the detected audio codec, decision is made
    if we allow or disallow muxing to MKV/MP4/OGM
  * Updated the man page
* Mon Nov 24 2008 detlef@links2linux.de
- new upstream version <7.9.6>
  * Added support for the aacplusenc AAC+ audio encoder from Matteo Croce
  * Updated the MP4 & MKV batch exporting and muxing code to support
    the aacplusenc encoder
  * Rewrote the DVD part of the video_subtitles_func() function. It now
    supports dumping of three subtitles
  * Updated the MKV/MP4 muxing code to support importing of three subtitles
  * Dramatically simplified the MKV/MP4/OGM batch exporting code. This
    reduces a lot of code duplication
  * Display elapsed time when encoding samples
  * Bugfix in the video_subtitles_func() function for SRT subtitles for
    video files. Wrong variable used
  * When encoding samples, make sure to take care of any subtitles that
    might have been dumped to disk
  * Added support for deinterlacing at half frame rate. Useful for interlaced
    content that's running at 50 or 59.940 fps (100i/120i)
  * Reduced some code duplication in the set_output_filename_func() function
    by moving path and extension checking into its own function
  * New formula to calculate the video bitrate for a target filesize. The
    previous formula, which was directly taken from the ripdvd project,
    incorrectly calculates the bitrate which often results by missing the
    target filesize by as much as 30 MB. The new formula also uses floating
    point precision and has been tested aainst the calculators of MeGUI and
    Avidemux
  * Moved the DVD device detection code into its own function to reduce some
    code duplication
  * Removed neroAacEnc quality-based encoding mode. It is incompatible with
    video bitrate calculation for a target size and I cannot find any info
    on quality -> average bitrate mappings
  * Don't exit if the user provides a floating point value for the Vorbis audio
    codec. Instead warn and use the default value
  * In some cases it is possible for xvidenc to leave its unique temp directory.
    Find those directories and remove them if they are 15 or more days old
  * Removed support for MPEG-2 AAC and ADPCM audio
  * Updated the source_fps_func() function
  * Removed the noise filter. No real use for it
  * Updated the audio_resample_func() function
  * Updated the check_audio_codec_func() function
  * Updated the genconfig_func() function
  * Updated the man page
  * Updated the README.xvidenc file
* Sun Nov  2 2008 detlef@links2linux.de
- new upstream version <7.9.5>
  * Improved DVD handling. Now there's a menu where the user can select
    the input type: ISO image, VIDEO_TS folder or DVD drive
  * Added neroAAC audio support for the MKV container
  * Removed AAC object type complexity menu. AAC (FAAC) is best used in
    low complexity mode
  * Set the field order of the tfields filter to auto detection
  * Implemented configuration file support. As of this version, xvidenc
    automatically generates a config file in its configuration directory.
    The config file can be used by the user to modify/set the paths to
    various programs. This can be useful if the user has multiple
    executables of the same program(s) but wants to use a specific one
    for the job. It can also be used to set the correct path to a program
    if the program in question is not located in a standard location and
    cannot be found by the system. The configuration file cannot be used
    to store encoding settings or other parameters! It is only meant for
    the tools needed for the correct operation of xvidenc. The config
    file will be generated in /home/user_name/.xvidenc/config. The config
    file has its own versioning system and will be automatically updated
    in case something changes in future versions of xvidenc
  * Added -r option to reset the config file in case the user has made any
    changes to it and wants to restore the original values of the config file
  * Added extra strong denoising preset for the denoise3d & hqdn3d filters
  * Updated the man page
* Sun Oct 19 2008 detlef@links2linux.de
- new upstream version <7.9.4>
  * Small improvement: when using the vorbis audio codec and muxing
    to the Matroska container, do not extract the video from the AVI
    since mkvmerge takes the video directly from the AVI and we can
    skip the extraction step. Extraction is only necessary if the
    user has also chosen the MP4 container
  * Added Vorbis audio support for the OGM container
  * Removed path specification for MEncoder
  * Separated the 'normal' deinterlacers from the frame doubling ones
  * denoise3d & hqdn3d: implemented weak/medium/strong denoising presets
  * Removed quantization parameters for the spp, uspp, fspp and pp7 deblockers
  * Improved subtitle handling for video file encodings
  * Added support for sample encoding and previewing
  * Updated the crop preview code
  * Cosmetics & cleanups
  * Updated the man page
* Mon Jul 14 2008 detlef@links2linux.de
- new upstream version <7.9.3>
* Wed Jul  2 2008 detlef@links2linux.de
- new upstream version <7.9.1>
* Fri Jun  6 2008 detlef@links2linux.de
- new upstream version <7.8.7>
* Sat May 24 2008 detlef@links2linux.de
- initial build for packman
